﻿<?xml version="1.0" encoding="utf-8"?>
<data>
  <DataType Name="" BaseType="" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="">
    <DataType Name="_sAXIS_REF" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Variable" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="f28e1e5b-b810-47b9-9dee-78172e223f70">
      <DataType Name="Cfg" BaseType="PLC\_sAXIS_REF_CFG" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Basic Settings" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="da146615-cb2c-446e-a57b-37859723761c" />
      <DataType Name="Scale" BaseType="PLC\_sAXIS_REF_SCALE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Unit Conversion Settings" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="2231bd98-0a09-4d3e-b34b-0740a034a649" />
      <DataType Name="Status" BaseType="PLC\_sAXIS_REF_STA" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Status" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="961817b9-551a-4ba4-bc3a-54ed3ce7bc8b" />
      <DataType Name="Details" BaseType="PLC\_sAXIS_REF_DET" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Control Status" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="09d9288a-6ae9-4aa0-94ea-59597a5df0fc" />
      <DataType Name="Dir" BaseType="PLC\_sAXIS_REF_DIR" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Direction" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="de9f068f-7197-4468-90d0-88af0822a217" />
      <DataType Name="DrvStatus" BaseType="PLC\_sAXIS_REF_STA_DRV" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Drive Status" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="984d213d-bc62-4a55-b525-b4205d294d71" />
      <DataType Name="Cmd" BaseType="PLC\_sAXIS_REF_CMD_DATA" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Command Values" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="0c92a11c-aaaf-4fc0-9956-d2e5a5aeaa37" />
      <DataType Name="Act" BaseType="PLC\_sAXIS_REF_ACT_DATA" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Current Value" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="32550b0d-551c-418c-a0fe-5f87f9926d59" />
      <DataType Name="MFaultLvl" BaseType="PLC\_sMC_REF_EVENT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Minor Fault" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="69f71e8d-2867-48ce-89d0-3433b38315df" />
      <DataType Name="Obsr" BaseType="PLC\_sMC_REF_EVENT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Observation" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="60f2318e-cfa0-465d-9da1-f58ff588bf6d" />
      <DataType Name="Reserved" BaseType="Byte(31)" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="678504be-e219-4137-b686-8d03e05d0876" />
    </DataType>
    <DataType Name="_sAXIS_REF_CFG" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Basic Settings" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="813272e7-27eb-4b35-8a90-7003b329d23b">
      <DataType Name="AxNo" BaseType="UShort" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Number" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="ed525f72-f9d4-46fb-a5d8-4c4409fbfe2b" />
      <DataType Name="AxEnable" BaseType="PLC\_eMC_AXIS_USE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Use" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="de82881c-725e-4ec7-a38f-4aa2c424060e" />
      <DataType Name="AxType" BaseType="PLC\_eMC_AXIS_TYPE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Type" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="be047557-3bd3-4b44-ac53-3f0f235e3e64" />
      <DataType Name="NodeAddress" BaseType="UShort" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Node Address" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="17ddefb9-393e-4231-a44f-dfddbba2bbd6" />
      <DataType Name="ExecID" BaseType="UShort" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Execution ID" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="d6931426-a8ef-4d09-bca2-c0d2f80e7a0e" />
      <DataType Name="Reserved" BaseType="Byte(7)" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="f1147927-0e65-4282-927d-00b6d56d74e0" />
    </DataType>
    <DataType Name="_eMC_AXIS_USE" BaseType="ENUM" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Use" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="c6020e11-5611-4ba9-ba90-22194141bb8c">
      <DataType Name="_mcNoneAxis" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="0" Comment="Undefined Axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="4dcf7f8e-bad4-4e4d-bba8-ae039e769ddb" />
      <DataType Name="_mcUnusedAxis" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="1" Comment="Unused Axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="87922708-52ac-4398-9fb4-37f65d3dd3cd" />
      <DataType Name="_mcUsedAxis" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="2" Comment="Used Axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="50d6bad4-a19d-48fc-b10d-65972fb007e0" />
    </DataType>
    <DataType Name="_eMC_AXIS_TYPE" BaseType="ENUM" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Type" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="f11c11f8-1357-4bad-a298-d4c9fc105b7d">
      <DataType Name="_mcServo" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="0" Comment="Servo Axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="eb2268e7-2900-4964-8759-fe63f2b2b09b" />
      <DataType Name="_mcEncdr" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="1" Comment="Encoder Axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="ba60b907-d532-4e25-8094-675da7fccda8" />
      <DataType Name="_mcVirServo" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="2" Comment="Virtual Servo Axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="2a232a28-99a9-40f6-8f9c-39e151f62f30" />
      <DataType Name="_mcVirEncdr" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="3" Comment="Virtual Encoder Axis" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="d26feaf2-3652-4763-9429-b817db23ab2a" />
    </DataType>
    <DataType Name="_sAXIS_REF_SCALE" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Unit Conversion Settings" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="8a7be45e-a642-4a4a-a011-38060ac034b6">
      <DataType Name="Num" BaseType="UInteger" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Pulse Count Per Motor Rotation" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="40fae86d-a684-4b99-98f4-7a2e15ff1131" />
      <DataType Name="Den" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Work Travel Distance Per Motor Rotation" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="427e79c8-eaaf-42b2-9b9b-0bf3fd46924d" />
      <DataType Name="Units" BaseType="PLC\_eMC_UNITS" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Unit of Display" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="a806fb11-a206-4b75-b6c2-0d65bf112e7b" />
      <DataType Name="CountMode" BaseType="PLC\_eMC_COUNT_MODE" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Count Mode" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="8e5004a8-f4b1-4c4e-a03a-c4cbd27ae46b" />
      <DataType Name="MaxPos" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Max Position" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="82f98a80-19a0-42d6-9539-d2697627105f" />
      <DataType Name="MinPos" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Min Position" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="8668e323-428c-4281-ab1d-bf9f70c532a1" />
    </DataType>
    <DataType Name="_eMC_UNITS" BaseType="ENUM" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Unit of Display" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="fe52e2d7-817f-4e23-8a54-fd7e5f305f00">
      <DataType Name="_mcPls" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="0" Comment="pulse" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="c776d1e5-1523-4a43-8d03-bbb349d48cbf" />
      <DataType Name="_mcMm" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="1" Comment="mm" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="acf9342d-b28f-4045-a281-8f388d44d6ab" />
      <DataType Name="_mcUm" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="2" Comment="μm" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="31c6b852-54b5-4e89-b177-95921287a3c8" />
      <DataType Name="_mcNm" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="3" Comment="nm" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="81d50c41-5e17-4fb3-a380-6f3d4a8df040" />
      <DataType Name="_mcDeg" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="4" Comment="degree" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="89c81038-49ea-45fd-b0a3-23fdfd7b732a" />
      <DataType Name="_mcInch" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="5" Comment="inch" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="6ca87308-2d19-4c9a-9463-50f1ae3d0bc6" />
    </DataType>
    <DataType Name="_eMC_COUNT_MODE" BaseType="ENUM" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Count Mode" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="62aaa2de-564b-4c69-bd49-ba81af08aac8">
      <DataType Name="_mcCountModeLinear" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="0" Comment="Linear Mode (finite length)" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="513ace6e-93cb-482a-8ead-93e211b8c3db" />
      <DataType Name="_mcCountModeRotary" BaseType="Integer" ArrayType="" Length="" InitialValue="" EnumValue="1" Comment="Rotary Mode (infinite length)" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="5d1d8956-2f09-41a2-be05-7d9bcafccd56" />
    </DataType>
    <DataType Name="_sAXIS_REF_STA" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Status" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="3762c80f-1ef7-4b0e-bdf8-6230c5ad6a63">
      <DataType Name="Ready" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Ready-to-execute" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="f35aff0e-02ca-4b31-99fd-e1bc52c64b4d" />
      <DataType Name="Disabled" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Disabled" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="ef991b63-b773-4992-b604-ad72647b12c7" />
      <DataType Name="Standstill" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Stopped" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="3fb00689-0b57-468a-bc4d-7ef83c6b3b36" />
      <DataType Name="Discrete" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Discrete Motion" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="d6e71c21-13c0-490b-8f5d-634fb1f75c90" />
      <DataType Name="Continuous" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Continuous Motion" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="1ca883bf-8496-495b-a6cf-a54c4f8492e1" />
      <DataType Name="Synchronized" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Synchronized Motion" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="0f51acb9-3252-4dfa-9c50-29fa1934e67e" />
      <DataType Name="Homing" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Homing" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="5e074bac-2c39-4e1f-935f-9c9e605b89b5" />
      <DataType Name="Stopping" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Deceleration Stopping" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="8966371c-5fb9-4061-9aa9-29154e41e122" />
      <DataType Name="ErrorStop" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Error Deceleration Stopping" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="c3825233-f9ab-45f1-809d-cf417813ec1c" />
      <DataType Name="Coordinated" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Coordinated Motion" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="5ea82016-2b3b-4746-b8c0-a5dc41259af3" />
      <DataType Name="Reserved" BaseType="Byte(7)" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="af48a297-7839-4126-963a-0b1481e2717e" />
    </DataType>
    <DataType Name="_sAXIS_REF_DET" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Control Status" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="ea584524-9a2d-4a21-beb5-a6ff8265027f">
      <DataType Name="Idle" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Standstill" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="d388128c-d323-460d-9957-e6c90ac6850b" />
      <DataType Name="InPosWaiting" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="In-position Waiting" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="e3b7bd61-f8cd-4033-92fc-e4d1f8738b7e" />
      <DataType Name="Homed" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Home Defined" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="fbc636d0-bf9c-4638-8add-94f825fb4557" />
      <DataType Name="InHome" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="In Home Position" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="bb896ee1-4e10-4e82-9b16-6fa64e06bb28" />
      <DataType Name="VelLimit" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Velocity Saturation" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="a4683142-e62f-404e-996f-2b76a3610847" />
      <DataType Name="Reserved" BaseType="Byte(7)" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="4d90501a-c8a9-465f-bba1-99088dfd74af" />
    </DataType>
    <DataType Name="_sAXIS_REF_DIR" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Direction" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="0a9654ae-b4b9-4de4-8d7e-b89fa4ff64a0">
      <DataType Name="Posi" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Positive Direction" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="824f639e-9f70-4756-9bf1-e7e4b30b72f4" />
      <DataType Name="Nega" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Negative Direction" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="bb8083ed-fea7-4c30-bd04-ace9215ca4e4" />
    </DataType>
    <DataType Name="_sAXIS_REF_STA_DRV" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Drive Status" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="bffa8a0c-1e16-4463-92c1-d031c1a46499">
      <DataType Name="ServoOn" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Servo On" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="49694ddc-4f09-4faf-8696-b283bfbb9c4b" />
      <DataType Name="Ready" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Servo Ready" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="ee71664a-e028-43c9-9765-5bc09c97aceb" />
      <DataType Name="MainPower" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Main Power" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="d34c5429-4ef0-4592-99a8-96ea788a5a48" />
      <DataType Name="P_OT" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Positive Limit Input" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="dd4794ac-d597-4eb0-9e63-b357a823004b" />
      <DataType Name="N_OT" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Negative Limit Input" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="9d63b5e7-754d-4cf6-8cb8-35494cdf6587" />
      <DataType Name="HomeSw" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Home Proximity Input" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="d5204fbf-6753-480f-b5e7-761cd5540ce5" />
      <DataType Name="Home" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Home Input" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="5f82d185-c780-4d38-bb70-69c4013353f4" />
      <DataType Name="ImdStop" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Immediate Stop Input" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="619209db-ff54-47b9-8fff-0239a3f2b0c6" />
      <DataType Name="Latch1" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="External Latch Input 1" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="6dd4fd92-efe3-4d77-9319-3ea1233b0b4b" />
      <DataType Name="Latch2" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="External Latch Input 2" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="c0dc2394-6848-47d8-9efc-2ea5c69b9c56" />
      <DataType Name="DrvAlarm" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Drive Error Input" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="eded6392-2be6-41a6-b390-72bfa49cd8c7" />
      <DataType Name="DrvWarning" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Drive Warning Input" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="c6dceb4a-e8d2-4d3e-a194-f51df8f0d108" />
      <DataType Name="ILA" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Drive Internal Limiting" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="2bfa03d0-e003-45a9-938e-6bf76effa1ea" />
      <DataType Name="CSP" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Cyclic Synchronous Position(CSP) ControlMode" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="22abfff6-6d64-49fe-9ffd-6e70d45c3c98" />
      <DataType Name="CSV" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Cyclic Synchronous Velocity(CSV) ControlMode" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="4191befa-2b0e-4aa9-addc-9bc35ed9b480" />
      <DataType Name="CST" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Cyclic Synchronous Torque(CST) ControlMode" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="3b018b0a-794e-4f10-8b52-c97bb0b4a5a7" />
      <DataType Name="Reserved" BaseType="Byte(7)" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="e691f47b-9b24-4460-8671-ac3e83724937" />
    </DataType>
    <DataType Name="_sAXIS_REF_CMD_DATA" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Command Values" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="1716f5cc-7aa3-4229-bff9-663f7e2ae871">
      <DataType Name="Pos" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Current Position" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="7c0d97c3-fd5c-46d9-9738-c682c46e8275" />
      <DataType Name="Vel" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Current Velocity" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="b28763aa-47bc-4b11-819e-b889fe114795" />
      <DataType Name="AccDec" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Current Acceleration/Deceleration" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="edf07f2e-f511-4d76-a4a4-ddbc8eb438fa" />
      <DataType Name="Jerk" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Current Jerk" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="b7eec4bb-d21b-419c-9396-afdaaa596746" />
      <DataType Name="Trq" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Command Current Torque" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="7ecf7240-953b-4935-8bb9-1e672600a684" />
    </DataType>
    <DataType Name="_sAXIS_REF_ACT_DATA" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Axis Current Value" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="748dc89d-c808-4b1a-a591-17d7deba23d8">
      <DataType Name="Pos" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Actual Current Position" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="02fb9ffe-5137-49f3-ba6d-7a64e33c8405" />
      <DataType Name="Vel" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Actual Current Velocity" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="eebff36a-db9b-43d2-872e-5655f8dbb157" />
      <DataType Name="Trq" BaseType="Double" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Actual Current Torque" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="cf4ec7ee-37e5-43b8-b774-505f2c63dcac" />
      <DataType Name="TimeStamp" BaseType="ULong" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Time Stamp" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="fd270034-54c1-4942-acc5-1676e6f6ce20" />
    </DataType>
    <DataType Name="_sMC_REF_EVENT" BaseType="STRUCT" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="MC Common(Event)" OffsetChannel="" OffsetBit="" IsControllerDefinedType="false" Order="0" OffsetType="" Id="78bd2d62-f01a-4f07-a582-1b5fcc027a28">
      <DataType Name="Active" BaseType="Boolean" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Occurrence" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="aba69e77-fa57-4333-8740-70e0867124bc" />
      <DataType Name="Code" BaseType="UShort" ArrayType="" Length="" InitialValue="" EnumValue="" Comment="Code" OffsetChannel="" OffsetBit="" IsControllerDefinedType="true" Order="0" OffsetType="" Id="c2db1ff3-ae0b-44d6-b190-d12ed54550cd" />
    </DataType>
  </DataType>
</data>